Package Details: ycmd-git r2548.d3378ca3-1

Git Clone URL: https://aur.archlinux.org/ycmd-git.git (read-only, click to copy)
Package Base: ycmd-git
Description: A code-completion & code-comprehension server
Upstream URL: https://github.com/Valloric/ycmd
Keywords: code completion
Licenses: GPLv3
Conflicts: ycmd
Provides: ycmd
Submitter: karel
Maintainer: karel
Last Packager: karel
Votes: 2
Popularity: 0.000000
First Submitted: 2018-04-28 17:38
Last Updated: 2020-02-03 07:40

Latest Comments

1 2 Next › Last »

karel commented on 2020-02-03 07:41

The 'python-future' issue should be resolved now.

CBRock commented on 2020-02-01 19:08

Same error as the previous user. Is there a fix for this yet? Tried both pikaur and makepkg.

nesadi commented on 2020-01-27 13:02

Getting this error when I try to build this package:

=> Starting prepare()...
error: pathspec 'third_party/python-future' did not match any file(s) known to git
==> ERROR: A failure occurred in prepare().
    Aborting...
Error making: ycmd-git

karel commented on 2019-12-03 12:34

@DocDoomDuck, thanks for notifying me! I updated the package build.

DocDoomDuck commented on 2019-12-01 21:44

Hello karel, I got this error while trying to install you package using yay:

==> Starting prepare()...
error: pathspec 'third_party/frozendict' did not match any file(s) known to git
==> ERROR: A failure occurred in prepare().
    Aborting...
Error making: ycmd-git

karel commented on 2019-11-13 07:19

@BrainDamage and @Nephyrin, thanks for the useful comments!

Nephyrin commented on 2019-11-12 22:48

This is missing a nested submodule inside jedi.git: jedi/third_party/typeshed (itself inside third_party/jedi_deps/jedi)

Can be fixed by adding "git+https://github.com/davidhalter/typeshed.git" as a source, then appending this to prepare():

    cd "third_party/jedi_deps/jedi"
    git config submodule.jedi/third_party/typeshed.url "$srcdir"/typeshed
    git submodule update

BrainDamage commented on 2019-10-22 06:15

You might want to pass -DUSE_SYSTEM_BOOST=ON and add to makedepends boost and to depends boost-libs, it'll shorten the compile time considerably as well as use the system libs

Consider also setting -DUSE_CLANG_COMPLETER=ON since you have it in the dependencies anyway

karel commented on 2019-07-19 07:56

Thanks for reporting that!

cg505 commented on 2019-07-19 00:03

Missing dependency on python-certifi.